
<list-template titleList="Residente" #list [load]="service.loading | async" [service]="service">
    <ng-container content-type="search-filter">
        <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[1]"></search-bar>
    </ng-container>
    <table class="table table-striped table-bordered">
        <thead>
            <tr [class.border-bottom]="service.loading | async">
                <th>DNI</th>
                <th>Nombre</th>
                <th>Tipo</th>
                <th>Residencia</th>
                <th style="width: 25px;">Estado</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let r of service.data">
                <td>{{ (r.DNI | cedula) || '--'}}</td>
                <td>{{ r.NombreCompleto }}</td>
                <td>{{ r.TipoResidenteDescripcion || '--'}}</td>
                <td>{{ r.ResidenciaNumero || '--'}}</td>
                <td class="text-center">
                    <span class="badge font-xs" [ngClass]="[r.Activo ? 'badge-success text-white' : 'badge-dark']">
                        {{ r.Activo ? 'Activo' : 'Inactivo' }}
                    </span>
                </td>
                <td class="table-action">
                    <button class="btn btn-sm btn-info" (click)="list.onEdit(r)">
                      <i class="mdi mdi-lead-pencil"></i>
                    </button>
                    <button class="btn btn-sm btn-danger" (click)="list.onDelete(r)">
                      <i class="mdi mdi-delete"></i>
                    </button>
                  </td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="9" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                    No Hay Registros
                </td>
            </tr>
        </tfoot>
    </table>
</list-template>

<ng-template #form>
    <app-residente-form></app-residente-form>
</ng-template>
